#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 record-dot-preprocessor
version:              0.2.11
visibility:           public
id:                   record-dot-preprocessor-0.2.11-8RxV7woY68Z8olgv8D4Gj7
key:                  record-dot-preprocessor-0.2.11-8RxV7woY68Z8olgv8D4Gj7
license:              BSD-3-Clause
copyright:            Neil Mitchell 2018-2021
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:
    https://github.com/ndmitchell/record-dot-preprocessor#readme

synopsis:             Preprocessor to allow record.field syntax
description:
    In almost every programming language @a.b@ will get the @b@ field from the @a@ data type, and many different data types can have a @b@ field.
    The reason this feature is ubiquitous is because it'\''s /useful/.
    The @record-dot-preprocessor@ brings this feature to Haskell - see the README for full details.

category:             Development
abi:                  313fecdfc41307bb83810cea69d2a2f8
exposed:              True
exposed-modules:      RecordDotPreprocessor
hidden-modules:       Compat
import-dirs:
    /usr/lib/ghc-9.0.1/site-local/record-dot-preprocessor-0.2.11

library-dirs:
    /usr/lib/ghc-9.0.1/site-local/record-dot-preprocessor-0.2.11

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/record-dot-preprocessor-0.2.11

hs-libraries:         HSrecord-dot-preprocessor-0.2.11-8RxV7woY68Z8olgv8D4Gj7
depends:
    base-4.15.0.0 extra-1.7.9-9Tdntvl0z7o9bNgOxU5KHM ghc-9.0.1
    uniplate-1.6.13-GwfBbYYJ6NF3AcP1tGaSs5

haddock-interfaces:
    /usr/share/doc/haskell-record-dot-preprocessor/html/record-dot-preprocessor.haddock

haddock-html:         /usr/share/doc/haskell-record-dot-preprocessor/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

